Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Stage Comments

List
GET /serviceformModules/{moduleId}/forms/{formId}/stageComments
https://api.relesysapp.net/api/v1.4/serviceformModules/{moduleId}/forms/{formId}/stageComments
Get a list of stage comments for the form with ID formId.

Please note: This endpoint is only available if stages are enabled on the service form module.
Scopes: relesys.api, relesys.api:read, relesys.api.serviceform, relesys.api.serviceform:read
URL Path
moduleId string / guid required
formId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
fillingId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
stageId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"c557040a-8b79-467c-bcc0-e48e0244682c","url":null,"fillingId":"a9952235-9a01-4346-b8ef-695e02c8bd20","fillingUrl":null,"stageId":"60c523c3-1056-4ed4-8749-b44b374f5922","stageUrl":null,"userId":"8d228508-f4db-4046-91c3-9714b25775a6","userUrl":null,"creationDateTime":"2026-09-29T22:49:42.7466373+00:00","lastModifiedDateTime":"2026-09-30T22:49:42.7466373+00:00","value":"Stage Comment 1","medias":[{"id":"aa100b60-8c21-4f29-82f4-9fbe404f6bf9","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"865b03ff-0be1-4e97-8883-4a3d694c9ce5","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"}]},{"id":"f55fd6d9-1d87-4bd2-af32-54c97711a9b1","url":null,"fillingId":"dbafc4b0-f16e-41ca-9597-643936d8adb3","fillingUrl":null,"stageId":"8e41238b-c9ee-4ac6-a7d7-b6595bb5bee5","stageUrl":null,"userId":"c9bc52e2-b2a7-4187-ad4d-3a723de49ec8","userUrl":null,"creationDateTime":"2026-09-29T22:49:42.7466373+00:00","lastModifiedDateTime":null,"value":"Stage Comment 2","medias":[]}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   fillingId string / guid      
   fillingUrl string      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   stageId string / guid      
   stageUrl string      
   url string      
   userId string / guid      
   userUrl string      
   value string      
  nextUrl string      
  previousUrl string